function GameConnection::getView(%client)
{
	if(!isObject(%client.player))
		return;

	%player=%client.player;
	%vec = VectorDist(%player.SpawnPos, %player.gettransform());
	%EyeVector = %player.getEyeVector();
	%EyePoint = %player.getEyePoint();
	%Range = 1000;
	%RangeScale = VectorScale(%EyeVector, %Range);
	%RangeEnd = VectorAdd(%EyePoint, %RangeScale);
	%raycast = containerRayCast(%eyePoint,%RangeEnd,$TypeMasks::FxBrickObjectType | $TypeMasks::FxBrickObjectType, %player);
	
	if(isObject(%raycast))
	{
		%brick=%rayCast;
		%bool=getTrustLevel(%brick,%client);

		if(%client.brickFx $= "")
			%client.brickFx=%brick.getColorFxId();

		if(%client.isAdmin || %client.isSuperAdmin || %bool > 0)
		{
			%brick.setColorFx(3);
			cancel(%brick.loop);
			%brick.loop=%brick.schedule(10,setColorFx,%client.brickFx);
			cancel(%client.resetFx);
			%client.resetFx=%client.schedule(10,resetFx,%client);
					
		}
	}

	%client.viewLoop=%client.schedule(10,getView);

}

function gameConnection::ResetFx(%client)
{
	%client.brickFx="";
}

function ServerCmdGbOn(%client)
{
	if(isObject(%client.player))
	{
		messageClient(%client,'',"\c6Glow Brick on!");
		%client.getView();
	}
}

function serverCmdGbOff(%client)
{
	if(isObject(%client.player) && isEventPending(%client.viewLoop) == 1)
	{
		messageClient(%client,'',"\c6Glow Brick stopped!");
		cancel(%client.viewLoop);
	}
}

